Bug 225836 - [NEW PORT] textproc/elasticsearch6
Summary: [NEW PORT] textproc/elasticsearch6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-11 21:46 UTC by Walter Schwarzenfeld
Modified: 2018-02-16 20:43 UTC (History)
1 user (show)

See Also:


Attachments
elasticsearch6.shar (17.22 KB, application/x-shar)
2018-02-11 21:46 UTC, Walter Schwarzenfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Schwarzenfeld freebsd_triage 2018-02-11 21:46:31 UTC
Created attachment 190523 [details]
elasticsearch6.shar

ChangeLog:
https://www.elastic.co/guide/en/elasticsearch/reference/6.0/release-notes-6.0.1.html
Comment 1 Kurt Jaeger freebsd_committer 2018-02-12 06:40:48 UTC
testbuilds are fine
Comment 2 commit-hook freebsd_committer 2018-02-12 06:50:18 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 12 06:49:49 UTC 2018
New revision: 461559
URL: https://svnweb.freebsd.org/changeset/ports/461559

Log:
  New port: textproc/elasticsearch6

  Elasticsearch aims to be a Distributed, RESTful, Search Engine built on top of
  Apache Lucene.

  WWW: https://www.elastic.co/

  PR:		225836
  Submitted by:	w.schwarzenfeld@utanet.at

Changes:
  head/textproc/Makefile
  head/textproc/elasticsearch5/Makefile
  head/textproc/elasticsearch6/
  head/textproc/elasticsearch6/Makefile
  head/textproc/elasticsearch6/distinfo
  head/textproc/elasticsearch6/files/patch-bin_elasticsearch
  head/textproc/elasticsearch6/files/patch-bin_elasticsearch.in.sh
  head/textproc/elasticsearch6/files/patch-config_elasticsearch.yml
  head/textproc/elasticsearch6/pkg-plist
Comment 3 Kurt Jaeger freebsd_committer 2018-02-12 20:02:51 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-02-12 20:03:30 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 12 20:02:51 UTC 2018
New revision: 461646
URL: https://svnweb.freebsd.org/changeset/ports/461646

Log:
  textproc/elasticsearch2: add conflicts with elasticsearch6

  PR:		225836
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>

Changes:
  head/textproc/elasticsearch2/Makefile
Comment 5 commit-hook freebsd_committer 2018-02-15 08:51:48 UTC
A commit references this bug:

Author: romain
Date: Thu Feb 15 08:50:45 UTC 2018
New revision: 461867
URL: https://svnweb.freebsd.org/changeset/ports/461867

Log:
  Re-create textproc/elasticsearch6 after copying it from textproc/elasticsearch5

  - Actualy provide elasticsearch6 with this port [1];
  - Fix MAINTAINER address [2].

  PR:		225836 [1]
  Submitted by:	w.schwarzenfeld@utanet.at [1]
  Reported by:	john@saltant.com [2] via ports@

Changes:
  head/textproc/elasticsearch6/Makefile
  head/textproc/elasticsearch6/distinfo
  head/textproc/elasticsearch6/files/patch-bin_elasticsearch
  head/textproc/elasticsearch6/files/patch-bin_elasticsearch.in.sh
  head/textproc/elasticsearch6/files/patch-config_elasticsearch.yml
  head/textproc/elasticsearch6/pkg-plist
Comment 6 commit-hook freebsd_committer 2018-02-16 20:37:23 UTC
A commit references this bug:

Author: pi
Date: Fri Feb 16 20:36:50 UTC 2018
New revision: 462062
URL: https://svnweb.freebsd.org/changeset/ports/462062

Log:
  textproc/elasticsearch6: take maintainer

  PR:		225836
  Approved by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at> (maintainer)

Changes:
  head/textproc/elasticsearch6/Makefile
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-02-16 20:43:02 UTC
Thanks!